Amazon Linux AMI : collectd (ALAS-2018-940)

Critical Nessus Plugin ID 105620

Synopsis

The remote Amazon Linux AMI host is missing a security update.

Description

Double free in csnmp_read_table function in snmp.c :

The csnmp_read_table function in snmp.c in the SNMP plugin in collectd before 5.6.3 is susceptible to a double free in a certain error case, which could lead to a crash (or potentially have other impact).
(CVE-2017-16820)

Solution

Run 'yum update collectd' to update your system.

See Also

https://alas.aws.amazon.com/ALAS-2018-940.html

Plugin Details

Severity: Critical

ID: 105620

File Name: ala_ALAS-2018-940.nasl

Version: 3.3

Type: local

Agent: unix

Published: 2018/01/08

Modified: 2018/04/18

Dependencies: 12634

Risk Information

Risk Factor: Critical

CVSSv2

Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSSv3

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:collectd, p-cpe:/a:amazon:linux:collectd-amqp, p-cpe:/a:amazon:linux:collectd-apache, p-cpe:/a:amazon:linux:collectd-bind, p-cpe:/a:amazon:linux:collectd-chrony, p-cpe:/a:amazon:linux:collectd-curl, p-cpe:/a:amazon:linux:collectd-curl_xml, p-cpe:/a:amazon:linux:collectd-dbi, p-cpe:/a:amazon:linux:collectd-debuginfo, p-cpe:/a:amazon:linux:collectd-disk, p-cpe:/a:amazon:linux:collectd-dns, p-cpe:/a:amazon:linux:collectd-drbd, p-cpe:/a:amazon:linux:collectd-email, p-cpe:/a:amazon:linux:collectd-generic-jmx, p-cpe:/a:amazon:linux:collectd-gmond, p-cpe:/a:amazon:linux:collectd-hugepages, p-cpe:/a:amazon:linux:collectd-ipmi, p-cpe:/a:amazon:linux:collectd-iptables, p-cpe:/a:amazon:linux:collectd-ipvs, p-cpe:/a:amazon:linux:collectd-java, p-cpe:/a:amazon:linux:collectd-lua, p-cpe:/a:amazon:linux:collectd-lvm, p-cpe:/a:amazon:linux:collectd-mcelog, p-cpe:/a:amazon:linux:collectd-memcachec, p-cpe:/a:amazon:linux:collectd-mysql, p-cpe:/a:amazon:linux:collectd-netlink, p-cpe:/a:amazon:linux:collectd-nginx, p-cpe:/a:amazon:linux:collectd-notify_email, p-cpe:/a:amazon:linux:collectd-openldap, p-cpe:/a:amazon:linux:collectd-postgresql, p-cpe:/a:amazon:linux:collectd-python, p-cpe:/a:amazon:linux:collectd-rrdcached, p-cpe:/a:amazon:linux:collectd-rrdtool, p-cpe:/a:amazon:linux:collectd-snmp, p-cpe:/a:amazon:linux:collectd-snmp_agent, p-cpe:/a:amazon:linux:collectd-synproxy, p-cpe:/a:amazon:linux:collectd-utils, p-cpe:/a:amazon:linux:collectd-varnish, p-cpe:/a:amazon:linux:collectd-web, p-cpe:/a:amazon:linux:collectd-write_http, p-cpe:/a:amazon:linux:collectd-write_sensu, p-cpe:/a:amazon:linux:collectd-write_tsdb, p-cpe:/a:amazon:linux:collectd-zookeeper, p-cpe:/a:amazon:linux:libcollectdclient, p-cpe:/a:amazon:linux:libcollectdclient-devel, p-cpe:/a:amazon:linux:perl-Collectd, cpe:/o:amazon:linux

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 2018/01/04

Reference Information

CVE: CVE-2017-16820

ALAS: 2018-940